package com.qmth.teachcloud.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.common.entity.BasicSchool;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 学校表 服务类
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
public interface BasicSchoolService extends IService<BasicSchool> {

    List<BasicSchool> listSchool(String code);

    boolean updateSchool(Long id, String code, String name, String initPassword, Boolean defaultSchool, Boolean hasPaperNumber, MultipartFile logo, String logoMd5, MultipartFile backgroundImage, String backgroundImageMd5);

    List<BasicSchool> listByDefaultSchool(boolean defaultSchool);

    void updateDefaultSchool(Long id, boolean defaultSchool);
}
